/// Mixin to manage responsive breakpoints
/// @author Hugo Giraudel
/// @param {String} $breakpoint - Breakpoint name
/// @require $breakpoints

$breakpoints: (
        'screen-xs': (min-width: 480px),
        'screen-xl': (min-width: 640px),
        'screen-sm': (min-width: 768px),
        'screen-md': (min-width: 960px),
        'screen-lg': (min-width: 1170px),
        'screen-hg': (min-width: 1400px),


) !default;
@mixin respond-to($breakpoint) {
  // If the key exists in the map
  @if map-has-key($breakpoints, $breakpoint) {
    // Prints a media query based on the value
    @media #{inspect(map-get($breakpoints, $breakpoint))} {
      @content;
    }
  }
    // If the key doesn't exist in the map
  @else {
    @warn "Unfortunately, no value could be retrieved from `#{$breakpoint}`. "
        + "Available breakpoints are: #{map-keys($breakpoints)}.";
  }
}

